summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2007-10-19 22:39:04 +0000
committerKarl Berry <karl@freefriends.org>2007-10-19 22:39:04 +0000
commit0bddd54f16329092843a8e61f23f815d4ba0b9ca (patch)
treee8f419353e6a7747b5c66cae0a0c6afe020b65cc /Master/tlpkg
parent47d017f7d6c9090c24ec573249047d2c011c4637 (diff)
remove the new updmap if no changes.
git-svn-id: svn://tug.org/texlive/trunk@5242 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/tlpdb2updmap5
1 files changed, 5 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tlpdb2updmap b/Master/tlpkg/bin/tlpdb2updmap
index 8bdac0d4c5f..c7e1093774a 100755
--- a/Master/tlpkg/bin/tlpdb2updmap
+++ b/Master/tlpkg/bin/tlpdb2updmap
@@ -104,6 +104,11 @@ sub update_updmap_cfg
# show differences.
print `diff $UPDMAP_CFG $new_updmap_cfg`;
+ my $ret = $?;
+ if ($ret == 0) {
+ unlink ($new_updmap_cfg) || die "unlink($new_updmap_cfg) failed: $!";
+ }
+
return $?;
}